<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OperationsTaskActivity extends Model
{
    use HasFactory;

    protected $fillable = [
        'task_id',
        'user_id',
        'activity_type',
        'description',
    ];

    public function task()
    {
        return $this->belongsTo(OperationsTask::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
